Search Gradle plugins

Version 2.1.0 (latest)

Created 22 September 2015.

The plugin applies conventions for spring boot projects according to WeltN24's best practices

Using the plugins DSL:

plugins {
  id "de.weltn24.spring-boot-conventions" version "2.1.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "gradle.plugin.de.weltn24:spring-boot-conventions:2.1.0"
  }
}

apply plugin: "de.weltn24.spring-boot-conventions"

Using the plugins DSL:

plugins {
  id("de.weltn24.spring-boot-conventions") version "2.1.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("gradle.plugin.de.weltn24:spring-boot-conventions:2.1.0")
  }
}

apply(plugin = "de.weltn24.spring-boot-conventions")

Learn how to apply plugins to subprojects